Bug 1875308 - Remove Pipeline Resources from Add Flow & Support Params
Summary: Remove Pipeline Resources from Add Flow & Support Params
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.6.0
Assignee: Christoph Jerolimov
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks: 1878214
TreeView+ depends on / blocked
 
Reported: 2020-09-03 10:00 UTC by Christoph Jerolimov
Modified: 2020-09-15 03:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6506 None closed Bug 1875308: Add support for more params and create resources only if required 2020-09-21 13:37:06 UTC

Description Christoph Jerolimov 2020-09-03 10:00:44 UTC
Description of problem:
With the change to the Pipeline templates to use workspaces, we'll no longer need Pipeline Resources as part of the add flow.

Version-Release number of selected component (if applicable):
- OpenShift Pipelines 1.1 (post TP2, 'ocp-4.5' channel)
- (or) OpenShift Pipelines 1.0 (pre TP2, 'preview' channel)

How reproducible:
Always

Steps to Reproduce:
1. Create a new namespace (so there is no cross pollution)
2. Go to the add flow and add a D/DC with a Pipeline
3. Check your Pipeline Resources CRs to see if any are created

Actual results:
- Currently today, we have two pipeline resources created, a git and image one.

Expected results:
- No resources to be created by the add flow
- Support the use of GIT_REPO, GIT_REVISION, IMAGE_NAME


Additional info:
https://docs.jboss.org/display/SRVKP/TP2+Release+Plan


Note You need to log in before you can comment on or make changes to this bug.